package widget


import . "gitlab.com/beoran/ebsgo/zori/types"
// import _ "gitlab.com/beoran/ebsgo/zori/backend"
import "gitlab.com/beoran/ebsgo/zori/state"
import  "gitlab.com/beoran/ebsgo/zori/style"


/* Mouse or keyboard/joystick cursor. */
type Cursor struct {
    Point
    Hover Widget
    Focus Widget
    Bitmap
    state.Flag
    style.Basic
    TargetStyle style.Theme
}

/* Support multiple cursors...  */
type Cursors struct {
    Mouse  Cursor
    Keyjoy Cursor
}

type Widget interface {
    Sized
    Positioned
    style.Themed
}
